/******
This is a Robot-C program that adds sensors to the dual joystick RC control of a VEX.
The power levels to the motors can ary from -100 to 100 coresponding to full reverse, full forward. 
Since motor performance varies these values need to be adjusted to get the desired movement in response
to sensor input.  The desired response is to back up and turn away from a bumper touch, but just
back-up if the sonar detector is activated.

*******/
#pragma config(Sensor, in1,    touchSensor1,        sensorTouch)
#pragma config(Sensor, in2,    touchSensor2,        sensorTouch)
#pragma config(Sensor, in5,    sonarSensor,         sensorSONAR, int1)
// start
task main()
{
	bMotorFlippedMode[port2] = true; 	//Port 2 Motor Direction Flipped
	bIfiAutonomousMode = false;			  //Activates Remote Control Mode

	while (1 == 1)									  //Creates and infinite loop
	{
		motor[port1] = vexRT(Ch2);		  //The right motor is set to equal the value transmitted by Ch2 (y-axis of the right joystick)
		motor[port2] = vexRT(Ch3);		  //The left motor is set to equal the value transmitted by Ch3 (y-axis of the left joystick)
		if(SensorValue(touchSensor1) == 1)  //Code segment runts if the value of touchSensor1 is equal to 1
		{
			motor[port1] = -45;								//Motor on port2 is run at power level -95
			motor[port2] = -5;								//Motor on port2 is run at power level -95
			wait1Msec(750);										//Robot waits 750 milliseconds before running further code

			motor[port1] = -45;               	//Motor on port2 is run at power level 95
			motor[port2] = 45;              	//Motor on port3 is run at power level -95
			wait1Msec(200);              //Robot waits the number of milliseconds stored in randTime before running further code

	}

		if(SensorValue(touchSensor2) == 1)  //Code segment runts if the value of touchSensor2 is equal to 1
		{
			motor[port1] = -45;								//Motor on port2 is run at power level -95
			motor[port2] = -25;								//Motor on port2 is run at power level -95
			wait1Msec(750);                   //Robot waits 750 milliseconds before running further code

			motor[port1] = 45;              	//Motor on port2 is run at power level -95
			motor[port2] = -45;            	  //Motor on port3 is run at power level 95
			wait1Msec(200);             	//Robot waits the number of milliseconds stored in randTime before running further code

			}
		 if (SensorValue[sonarSensor] < 24 && SensorValue[sonarSensor] > 5)
    {
    motor[port1] = -20;
    motor[port2] = -25;
    wait10Msec(40);

}
		}

}

/*****************************************
Parameters and information for vexRT:
		Ch1 = Right Joystick X-axis
			Full Right = 127
			Middle     = 0
			Full Left  = -127
		Ch2 = Right Joystick Y-axis
			Full Up    = 127
			Middle     = 0
			Full Down  = -127
		Ch3 = Left Joystick Y-axis
			Full Up    = 127
			Middle     = 0
			Full Down  = -127
		Ch4 = Left Joystick X-axis
			Full Right = 127
			Middle     = 0
			Full Left  = -127
		Ch5 = Rear Left Buttons
			None Pressed    = 0
			Top Pressed     = 127
			Down Pressed  	= -127
			Both Pressed		= 0
		Ch6 = Rear Right Buttons
			None Pressed    = 0
			Top Pressed     = 127
			Down Pressed  	= -127
			Both Pressed		= 0
******************************************/
